summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2010-04-11 09:51:06 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:37:50 +0200
commitf0658486648334c88c4b02e46691868ec23ba91b (patch)
treedfea61dd81c0c533285961699345bc8f4b09d79f /graphics
parent2118160c771540b825ff3bafc29a70cad575f178 (diff)
downloadslackbuilds-f0658486648334c88c4b02e46691868ec23ba91b.tar.gz
slackbuilds-f0658486648334c88c4b02e46691868ec23ba91b.tar.xz
graphics/gimp-deskew-plugin: Added (gimp plugin to adjust skew)
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gimp-deskew-plugin/README5
-rw-r--r--graphics/gimp-deskew-plugin/gimp-deskew-plugin.SlackBuild94
-rw-r--r--graphics/gimp-deskew-plugin/gimp-deskew-plugin.info10
-rw-r--r--graphics/gimp-deskew-plugin/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/graphics/gimp-deskew-plugin/README b/graphics/gimp-deskew-plugin/README
new file mode 100644
index 0000000000..738d6207b0
--- /dev/null
+++ b/graphics/gimp-deskew-plugin/README
@@ -0,0 +1,5 @@
+Deskew, also called auto straighten, is the automatic rotation of an
+image such that the text is vertically aligned. This is great for
+cleaning up scanned documents.
+
+Deskew can be found in the Filters > Misc menu in the GIMP.
diff --git a/graphics/gimp-deskew-plugin/gimp-deskew-plugin.SlackBuild b/graphics/gimp-deskew-plugin/gimp-deskew-plugin.SlackBuild
new file mode 100644
index 0000000000..9af0fbe7ea
--- /dev/null
+++ b/graphics/gimp-deskew-plugin/gimp-deskew-plugin.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for the GIMP deskew plug-in.
+#
+# Copyright 2010 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimp-deskew-plugin
+VERSION=${VERSION:-1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf trunk
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd trunk
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Regenerate all the necessary files for configure
+aclocal
+automake --add-missing
+autoconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Move the plugin to the correct directory - can't find what's putting this
+# in the wrong place, but this "fix" seems to work OK.
+mv $PKG/usr/usr/lib${LIBDIRSUFFIX} $PKG/usr/ && rmdir $PKG/usr/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gimp-deskew-plugin/gimp-deskew-plugin.info b/graphics/gimp-deskew-plugin/gimp-deskew-plugin.info
new file mode 100644
index 0000000000..7225fb0145
--- /dev/null
+++ b/graphics/gimp-deskew-plugin/gimp-deskew-plugin.info
@@ -0,0 +1,10 @@
+PRGNAM="gimp-deskew-plugin"
+VERSION="1.1"
+HOMEPAGE="http://www.cubewano.org/gimp-deskew-plugin/"
+DOWNLOAD="http://www.cubewano.org/gimp-deskew-plugin/downloads/1.1.0/gimp-deskew-plugin_1.1.tar.gz"
+MD5SUM="c02639944c4a8ae33cc4ff5960a13f7f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/graphics/gimp-deskew-plugin/slack-desc b/graphics/gimp-deskew-plugin/slack-desc
new file mode 100644
index 0000000000..1bbd982473
--- /dev/null
+++ b/graphics/gimp-deskew-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+gimp-deskew-plugin: gimp-deskew-plugin (gimp plugin to adjust skew)
+gimp-deskew-plugin:
+gimp-deskew-plugin: Deskew, also called auto straighten, is the automatic rotation of
+gimp-deskew-plugin: an image such that the text is vertically aligned. This is great
+gimp-deskew-plugin: for cleaning up scanned documents.
+gimp-deskew-plugin:
+gimp-deskew-plugin: Homepage: http://www.cubewano.org/gimp-deskew-plugin/
+gimp-deskew-plugin:
+gimp-deskew-plugin:
+gimp-deskew-plugin:
+gimp-deskew-plugin: